
_main:

;LCD_I2C_EXPANDER.mbas,83 :: 		main:
;LCD_I2C_EXPANDER.mbas,84 :: 		INTCON = $A0             ' enable GIE, TMR0IE
	MOVLW       160
	MOVWF       INTCON+0 
;LCD_I2C_EXPANDER.mbas,85 :: 		CMCON = CMCON or 0x3F    ' turn off comparators
	MOVLW       63
	IORWF       CMCON+0, 1 
;LCD_I2C_EXPANDER.mbas,86 :: 		ADCON1 = ADCON1 or 0x0F  ' turn off analog inputs
	MOVLW       15
	IORWF       ADCON1+0, 1 
;LCD_I2C_EXPANDER.mbas,87 :: 		TRISA = 0x00             ' Configure PORTA as output
	CLRF        TRISA+0 
;LCD_I2C_EXPANDER.mbas,88 :: 		PORTA = 0x00
	CLRF        PORTA+0 
;LCD_I2C_EXPANDER.mbas,89 :: 		TRISB = 0x00             ' Configure PORTB as output
	CLRF        TRISB+0 
;LCD_I2C_EXPANDER.mbas,90 :: 		PORTB = 0x00
	CLRF        PORTB+0 
;LCD_I2C_EXPANDER.mbas,91 :: 		TRISC = $04              ' Configure PORTC as output / input
	MOVLW       4
	MOVWF       TRISC+0 
;LCD_I2C_EXPANDER.mbas,92 :: 		PORTC = 0x00
	CLRF        PORTC+0 
;LCD_I2C_EXPANDER.mbas,93 :: 		TRISD = 0x00             ' Configure PORTB as output
	CLRF        TRISD+0 
;LCD_I2C_EXPANDER.mbas,94 :: 		PORTD = 0x00
	CLRF        PORTD+0 
;LCD_I2C_EXPANDER.mbas,98 :: 		I2C1_Init(1000000)   ' Initialize I2C1   1 Mhz DOES WORK
	MOVLW       5
	MOVWF       SSPADD+0 
	CALL        _I2C1_Init+0, 0
;LCD_I2C_EXPANDER.mbas,101 :: 		Delay_ms(100)
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L__main1:
	DECFSZ      R13, 1, 0
	BRA         L__main1
	DECFSZ      R12, 1, 0
	BRA         L__main1
	DECFSZ      R11, 1, 0
	BRA         L__main1
	NOP
	NOP
;LCD_I2C_EXPANDER.mbas,103 :: 		INIT_MCP23017_GPA(DeviceAddress_1, 0xFF)      ' set all of port GPA to input or output
	MOVLW       64
	MOVWF       FARG_INIT_MCP23017_GPA_DeviceAddress+0 
	MOVLW       255
	MOVWF       FARG_INIT_MCP23017_GPA_STATE_A+0 
	CALL        _INIT_MCP23017_GPA+0, 0
;LCD_I2C_EXPANDER.mbas,104 :: 		INIT_MCP23017_GPB(DeviceAddress_1, 0x00)      ' set all of port GPB to input or output
	MOVLW       64
	MOVWF       FARG_INIT_MCP23017_GPB_DeviceAddress+0 
	CLRF        FARG_INIT_MCP23017_GPB_STATE_B+0 
	CALL        _INIT_MCP23017_GPB+0, 0
;LCD_I2C_EXPANDER.mbas,105 :: 		LCD_I2C_INIT(DeviceAddress_1)                 ' Initialize  LCD_I2C
	MOVLW       64
	MOVWF       FARG_LCD_I2C_INIT_DeviceAddress+0 
	CALL        _LCD_I2C_INIT+0, 0
;LCD_I2C_EXPANDER.mbas,106 :: 		LCD_I2C_CMD(DeviceAddress_1, _LCD_CURSOR_OFF)
	MOVLW       64
	MOVWF       FARG_LCD_I2C_CMD_DeviceAddress+0 
	MOVLW       12
	MOVWF       FARG_LCD_I2C_CMD_CMD_X+0 
	CALL        _LCD_I2C_CMD+0, 0
;LCD_I2C_EXPANDER.mbas,107 :: 		LCD_I2C_CMD(DeviceAddress_1, _Lcd_Clear)
	MOVLW       64
	MOVWF       FARG_LCD_I2C_CMD_DeviceAddress+0 
	MOVLW       1
	MOVWF       FARG_LCD_I2C_CMD_CMD_X+0 
	CALL        _LCD_I2C_CMD+0, 0
;LCD_I2C_EXPANDER.mbas,108 :: 		Delay_ms(100)
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L__main2:
	DECFSZ      R13, 1, 0
	BRA         L__main2
	DECFSZ      R12, 1, 0
	BRA         L__main2
	DECFSZ      R11, 1, 0
	BRA         L__main2
	NOP
	NOP
;LCD_I2C_EXPANDER.mbas,112 :: 		WHILE TRUE
L__main4:
;LCD_I2C_EXPANDER.mbas,114 :: 		LCD_LED(DeviceAddress_1, 1)                                   ' LED LCD IS ON
	MOVLW       64
	MOVWF       FARG_LCD_LED_DeviceAddress+0 
	MOVLW       1
	MOVWF       FARG_LCD_LED_STATE+0 
	CALL        _LCD_LED+0, 0
;LCD_I2C_EXPANDER.mbas,115 :: 		LCD_I2C_OUT(DeviceAddress_1, 1, 1, "LCD...  I2C-EXPANDER")    ' PRINT LCD
	MOVLW       64
	MOVWF       FARG_LCD_I2C_OUT_DeviceAddress+0 
	MOVLW       1
	MOVWF       FARG_LCD_I2C_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_I2C_OUT_VR+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FSR1H 
	MOVLW       76
	MOVWF       POSTINC1+0 
	MOVLW       67
	MOVWF       POSTINC1+0 
	MOVLW       68
	MOVWF       POSTINC1+0 
	MOVLW       46
	MOVWF       POSTINC1+0 
	MOVLW       46
	MOVWF       POSTINC1+0 
	MOVLW       46
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       73
	MOVWF       POSTINC1+0 
	MOVLW       50
	MOVWF       POSTINC1+0 
	MOVLW       67
	MOVWF       POSTINC1+0 
	MOVLW       45
	MOVWF       POSTINC1+0 
	MOVLW       69
	MOVWF       POSTINC1+0 
	MOVLW       88
	MOVWF       POSTINC1+0 
	MOVLW       80
	MOVWF       POSTINC1+0 
	MOVLW       65
	MOVWF       POSTINC1+0 
	MOVLW       78
	MOVWF       POSTINC1+0 
	MOVLW       68
	MOVWF       POSTINC1+0 
	MOVLW       69
	MOVWF       POSTINC1+0 
	MOVLW       82
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_LCD_I2C_OUT_TEKST+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_LCD_I2C_OUT_TEKST+1 
	CALL        _LCD_I2C_OUT+0, 0
;LCD_I2C_EXPANDER.mbas,116 :: 		LCD_I2C_OUT(DeviceAddress_1, 2, 1, "  mikroElektronika  ")    ' PRINT LCD
	MOVLW       64
	MOVWF       FARG_LCD_I2C_OUT_DeviceAddress+0 
	MOVLW       2
	MOVWF       FARG_LCD_I2C_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_I2C_OUT_VR+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FSR1H 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       109
	MOVWF       POSTINC1+0 
	MOVLW       105
	MOVWF       POSTINC1+0 
	MOVLW       107
	MOVWF       POSTINC1+0 
	MOVLW       114
	MOVWF       POSTINC1+0 
	MOVLW       111
	MOVWF       POSTINC1+0 
	MOVLW       69
	MOVWF       POSTINC1+0 
	MOVLW       108
	MOVWF       POSTINC1+0 
	MOVLW       101
	MOVWF       POSTINC1+0 
	MOVLW       107
	MOVWF       POSTINC1+0 
	MOVLW       116
	MOVWF       POSTINC1+0 
	MOVLW       114
	MOVWF       POSTINC1+0 
	MOVLW       111
	MOVWF       POSTINC1+0 
	MOVLW       110
	MOVWF       POSTINC1+0 
	MOVLW       105
	MOVWF       POSTINC1+0 
	MOVLW       107
	MOVWF       POSTINC1+0 
	MOVLW       97
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_LCD_I2C_OUT_TEKST+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_LCD_I2C_OUT_TEKST+1 
	CALL        _LCD_I2C_OUT+0, 0
;LCD_I2C_EXPANDER.mbas,117 :: 		LCD_I2C_OUT(DeviceAddress_1, 3, 1, "  LCD_I2C_MCP23017  ")    ' PRINT LCD
	MOVLW       64
	MOVWF       FARG_LCD_I2C_OUT_DeviceAddress+0 
	MOVLW       3
	MOVWF       FARG_LCD_I2C_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_I2C_OUT_VR+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FSR1H 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       76
	MOVWF       POSTINC1+0 
	MOVLW       67
	MOVWF       POSTINC1+0 
	MOVLW       68
	MOVWF       POSTINC1+0 
	MOVLW       95
	MOVWF       POSTINC1+0 
	MOVLW       73
	MOVWF       POSTINC1+0 
	MOVLW       50
	MOVWF       POSTINC1+0 
	MOVLW       67
	MOVWF       POSTINC1+0 
	MOVLW       95
	MOVWF       POSTINC1+0 
	MOVLW       77
	MOVWF       POSTINC1+0 
	MOVLW       67
	MOVWF       POSTINC1+0 
	MOVLW       80
	MOVWF       POSTINC1+0 
	MOVLW       50
	MOVWF       POSTINC1+0 
	MOVLW       51
	MOVWF       POSTINC1+0 
	MOVLW       48
	MOVWF       POSTINC1+0 
	MOVLW       49
	MOVWF       POSTINC1+0 
	MOVLW       55
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_LCD_I2C_OUT_TEKST+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_LCD_I2C_OUT_TEKST+1 
	CALL        _LCD_I2C_OUT+0, 0
;LCD_I2C_EXPANDER.mbas,118 :: 		LCD_I2C_OUT(DeviceAddress_1, 4, 1, " TEST INTERRUPT")         ' PRINT LCD
	MOVLW       64
	MOVWF       FARG_LCD_I2C_OUT_DeviceAddress+0 
	MOVLW       4
	MOVWF       FARG_LCD_I2C_OUT_KO+0 
	MOVLW       1
	MOVWF       FARG_LCD_I2C_OUT_VR+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FSR1H 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       84
	MOVWF       POSTINC1+0 
	MOVLW       69
	MOVWF       POSTINC1+0 
	MOVLW       83
	MOVWF       POSTINC1+0 
	MOVLW       84
	MOVWF       POSTINC1+0 
	MOVLW       32
	MOVWF       POSTINC1+0 
	MOVLW       73
	MOVWF       POSTINC1+0 
	MOVLW       78
	MOVWF       POSTINC1+0 
	MOVLW       84
	MOVWF       POSTINC1+0 
	MOVLW       69
	MOVWF       POSTINC1+0 
	MOVLW       82
	MOVWF       POSTINC1+0 
	MOVLW       82
	MOVWF       POSTINC1+0 
	MOVLW       85
	MOVWF       POSTINC1+0 
	MOVLW       80
	MOVWF       POSTINC1+0 
	MOVLW       84
	MOVWF       POSTINC1+0 
	CLRF        POSTINC1+0 
	MOVLW       _main_Local_Text+0
	MOVWF       FARG_LCD_I2C_OUT_TEKST+0 
	MOVLW       hi_addr(_main_Local_Text+0)
	MOVWF       FARG_LCD_I2C_OUT_TEKST+1 
	CALL        _LCD_I2C_OUT+0, 0
;LCD_I2C_EXPANDER.mbas,120 :: 		FOR BR = 0 TO 255
	CLRF        _br+0 
L__main9:
;LCD_I2C_EXPANDER.mbas,121 :: 		ByteToStr(BR,TXT_BYTE)
	MOVF        _br+0, 0 
	MOVWF       FARG_ByteToStr_input+0 
	MOVLW       _TXT_BYTE+0
	MOVWF       FARG_ByteToStr_output+0 
	MOVLW       hi_addr(_TXT_BYTE+0)
	MOVWF       FARG_ByteToStr_output+1 
	CALL        _ByteToStr+0, 0
;LCD_I2C_EXPANDER.mbas,122 :: 		LCD_I2C_OUT(DeviceAddress_1, 4, 17, TXT_BYTE)             ' PRINT LCD
	MOVLW       64
	MOVWF       FARG_LCD_I2C_OUT_DeviceAddress+0 
	MOVLW       4
	MOVWF       FARG_LCD_I2C_OUT_KO+0 
	MOVLW       17
	MOVWF       FARG_LCD_I2C_OUT_VR+0 
	MOVLW       _TXT_BYTE+0
	MOVWF       FARG_LCD_I2C_OUT_TEKST+0 
	MOVLW       hi_addr(_TXT_BYTE+0)
	MOVWF       FARG_LCD_I2C_OUT_TEKST+1 
	CALL        _LCD_I2C_OUT+0, 0
;LCD_I2C_EXPANDER.mbas,123 :: 		NEXT BR
	MOVF        _br+0, 0 
	XORLW       255
	BTFSC       STATUS+0, 2 
	GOTO        L__main12
	INCF        _br+0, 1 
	GOTO        L__main9
L__main12:
;LCD_I2C_EXPANDER.mbas,125 :: 		LCD_LED(DeviceAddress_1, 0)                                   ' LED LCD IS OFF
	MOVLW       64
	MOVWF       FARG_LCD_LED_DeviceAddress+0 
	CLRF        FARG_LCD_LED_STATE+0 
	CALL        _LCD_LED+0, 0
;LCD_I2C_EXPANDER.mbas,126 :: 		Delay_ms(500)
	MOVLW       13
	MOVWF       R11, 0
	MOVLW       175
	MOVWF       R12, 0
	MOVLW       182
	MOVWF       R13, 0
L__main13:
	DECFSZ      R13, 1, 0
	BRA         L__main13
	DECFSZ      R12, 1, 0
	BRA         L__main13
	DECFSZ      R11, 1, 0
	BRA         L__main13
	NOP
;LCD_I2C_EXPANDER.mbas,127 :: 		LCD_I2C_CMD(DeviceAddress_1, _Lcd_Clear)                      ' Lcd Clear
	MOVLW       64
	MOVWF       FARG_LCD_I2C_CMD_DeviceAddress+0 
	MOVLW       1
	MOVWF       FARG_LCD_I2C_CMD_CMD_X+0 
	CALL        _LCD_I2C_CMD+0, 0
;LCD_I2C_EXPANDER.mbas,172 :: 		WEND
	GOTO        L__main4
	GOTO        $+0
; end of _main
