
_INIT_MCP23017_GPA:

;lcd_i2c_mcp23017.mbas,176 :: 		SUB PROCEDURE INIT_MCP23017_GPA(DIM DeviceAddress, STATE_A AS BYTE)
;lcd_i2c_mcp23017.mbas,178 :: 		I2C1_Start()             ' issue I2C start signal
	CALL        _I2C1_Start+0, 0
;lcd_i2c_mcp23017.mbas,179 :: 		I2C1_Wr(DeviceAddress + MCP_Write)' ID MCP23017
	MOVF        FARG_INIT_MCP23017_GPA_DeviceAddress+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,180 :: 		I2C1_Wr(IODIRA)       ' IODIRA register
	CLRF        FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,181 :: 		I2C1_Wr(STATE_A)         ' set all of port A to input or output
	MOVF        FARG_INIT_MCP23017_GPA_STATE_A+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,182 :: 		I2C1_Stop()              ' issue I2C stop signal
	CALL        _I2C1_Stop+0, 0
;lcd_i2c_mcp23017.mbas,183 :: 		delay_ms(1)
	MOVLW       7
	MOVWF       R12, 0
	MOVLW       125
	MOVWF       R13, 0
L__INIT_MCP23017_GPA1:
	DECFSZ      R13, 1, 0
	BRA         L__INIT_MCP23017_GPA1
	DECFSZ      R12, 1, 0
	BRA         L__INIT_MCP23017_GPA1
	RETURN      0
; end of _INIT_MCP23017_GPA

_INIT_MCP23017_GPB:

;lcd_i2c_mcp23017.mbas,188 :: 		SUB PROCEDURE INIT_MCP23017_GPB(DIM DeviceAddress, STATE_B AS BYTE)
;lcd_i2c_mcp23017.mbas,190 :: 		I2C1_Start()             ' issue I2C start signal
	CALL        _I2C1_Start+0, 0
;lcd_i2c_mcp23017.mbas,191 :: 		I2C1_Wr(DeviceAddress + MCP_Write)' ID MCP23017
	MOVF        FARG_INIT_MCP23017_GPB_DeviceAddress+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,192 :: 		I2C1_Wr(IODIRB)       ' IODIRB register
	MOVLW       1
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,193 :: 		I2C1_Wr(STATE_B)         ' set all of port B to input or output
	MOVF        FARG_INIT_MCP23017_GPB_STATE_B+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,194 :: 		I2C1_Stop()              ' issue I2C stop signal
	CALL        _I2C1_Stop+0, 0
;lcd_i2c_mcp23017.mbas,195 :: 		delay_ms(1)
	MOVLW       7
	MOVWF       R12, 0
	MOVLW       125
	MOVWF       R13, 0
L__INIT_MCP23017_GPB3:
	DECFSZ      R13, 1, 0
	BRA         L__INIT_MCP23017_GPB3
	DECFSZ      R12, 1, 0
	BRA         L__INIT_MCP23017_GPB3
	RETURN      0
; end of _INIT_MCP23017_GPB

_OUT_GPA_BYTE:

;lcd_i2c_mcp23017.mbas,200 :: 		SUB PROCEDURE OUT_GPA_BYTE(DIM DeviceAddress, DATA_A AS BYTE)
;lcd_i2c_mcp23017.mbas,202 :: 		I2C1_Start()             ' issue I2C start signal
	CALL        _I2C1_Start+0, 0
;lcd_i2c_mcp23017.mbas,203 :: 		I2C1_Wr(DeviceAddress + MCP_Write)' ID MCP23017
	MOVF        FARG_OUT_GPA_BYTE_DeviceAddress+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,204 :: 		I2C1_Wr(GPIOA)        ' address GPIOA
	MOVLW       18
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,205 :: 		I2C1_Wr(DATA_A)       ' value to send
	MOVF        FARG_OUT_GPA_BYTE_DATA_A+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,206 :: 		I2C1_Stop()              ' issue I2C stop signal
	CALL        _I2C1_Stop+0, 0
	RETURN      0
; end of _OUT_GPA_BYTE

_OUT_GPB_BYTE:

;lcd_i2c_mcp23017.mbas,211 :: 		SUB PROCEDURE OUT_GPB_BYTE(DIM DeviceAddress, DATA_B AS BYTE)
;lcd_i2c_mcp23017.mbas,213 :: 		I2C1_Start()             ' issue I2C start signal
	CALL        _I2C1_Start+0, 0
;lcd_i2c_mcp23017.mbas,214 :: 		I2C1_Wr(DeviceAddress + MCP_Write)' ID MCP23017
	MOVF        FARG_OUT_GPB_BYTE_DeviceAddress+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,215 :: 		I2C1_Wr(GPIOB)        ' address GPIOB
	MOVLW       19
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,216 :: 		I2C1_Wr(DATA_B)       ' value to send
	MOVF        FARG_OUT_GPB_BYTE_DATA_B+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,217 :: 		I2C1_Stop()              ' issue I2C stop signal
	CALL        _I2C1_Stop+0, 0
	RETURN      0
; end of _OUT_GPB_BYTE

_IN_GPA_BYTE:

;lcd_i2c_mcp23017.mbas,222 :: 		SUB FUNCTION IN_GPA_BYTE(DIM DeviceAddress AS BYTE)AS BYTE
;lcd_i2c_mcp23017.mbas,224 :: 		I2C1_Start()             ' issue I2C start signal
	CALL        _I2C1_Start+0, 0
;lcd_i2c_mcp23017.mbas,225 :: 		I2C1_Wr(DeviceAddress + MCP_Write)' ID MCP23017
	MOVF        FARG_IN_GPA_BYTE_DeviceAddress+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,226 :: 		I2C1_Wr(GPIOA)                    ' set MCP23017 memory pointer to GPIOA address
	MOVLW       18
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,227 :: 		I2C1_Repeated_Start()    ' issue I2C signal repeated start
	CALL        _I2C1_Repeated_Start+0, 0
;lcd_i2c_mcp23017.mbas,228 :: 		I2C1_Wr(DeviceAddress + MCP_Read) ' value to send
	MOVF        FARG_IN_GPA_BYTE_DeviceAddress+0, 0 
	ADDLW       1
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,229 :: 		RESULT = I2C1_Rd(0)                ' request one byte of data from MCP20317
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       IN_GPA_BYTE_local_result+0 
;lcd_i2c_mcp23017.mbas,230 :: 		I2C1_Stop()              ' issue I2C stop signal
	CALL        _I2C1_Stop+0, 0
	MOVF        IN_GPA_BYTE_local_result+0, 0 
	MOVWF       R0 
	RETURN      0
; end of _IN_GPA_BYTE

_IN_GPB_BYTE:

;lcd_i2c_mcp23017.mbas,235 :: 		SUB FUNCTION IN_GPB_BYTE(DIM DeviceAddress AS BYTE)AS BYTE
;lcd_i2c_mcp23017.mbas,237 :: 		I2C1_Start()             ' issue I2C start signal
	CALL        _I2C1_Start+0, 0
;lcd_i2c_mcp23017.mbas,238 :: 		I2C1_Wr(DeviceAddress + MCP_Write)' ID MCP23017
	MOVF        FARG_IN_GPB_BYTE_DeviceAddress+0, 0 
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,239 :: 		I2C1_Wr(GPIOB)                    ' set MCP23017 memory pointer to GPIOB address
	MOVLW       19
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,240 :: 		I2C1_Repeated_Start()    ' issue I2C signal repeated start
	CALL        _I2C1_Repeated_Start+0, 0
;lcd_i2c_mcp23017.mbas,241 :: 		I2C1_Wr(DeviceAddress + MCP_Read) ' value to send
	MOVF        FARG_IN_GPB_BYTE_DeviceAddress+0, 0 
	ADDLW       1
	MOVWF       FARG_I2C1_Wr_data_+0 
	CALL        _I2C1_Wr+0, 0
;lcd_i2c_mcp23017.mbas,242 :: 		RESULT = I2C1_Rd(0)                ' request one byte of data from MCP20317
	CLRF        FARG_I2C1_Rd_ack+0 
	CALL        _I2C1_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       IN_GPB_BYTE_local_result+0 
;lcd_i2c_mcp23017.mbas,243 :: 		I2C1_Stop()              ' issue I2C stop signal
	CALL        _I2C1_Stop+0, 0
	MOVF        IN_GPB_BYTE_local_result+0, 0 
	MOVWF       R0 
	RETURN      0
; end of _IN_GPB_BYTE

_OUT_GPA_BIT:

;lcd_i2c_mcp23017.mbas,249 :: 		DIM DATA_GPA_BYTE AS BYTE
;lcd_i2c_mcp23017.mbas,250 :: 		DATA_GPA_BYTE = IN_GPA_BYTE(DeviceAddress)
	MOVF        FARG_OUT_GPA_BIT_DeviceAddress+0, 0 
	MOVWF       FARG_IN_GPA_BYTE_DeviceAddress+0 
	CALL        _IN_GPA_BYTE+0, 0
;lcd_i2c_mcp23017.mbas,251 :: 		DATA_GPA_BYTE.BIT_A = STATE_BIT
	MOVF        FARG_OUT_GPA_BIT_BIT_A+0, 0 
	MOVWF       R1 
	MOVLW       1
	MOVWF       R3 
	MOVF        R1, 0 
L__OUT_GPA_BIT71:
	BZ          L__OUT_GPA_BIT72
	RLCF        R3, 1 
	BCF         R3, 0 
	ADDLW       255
	GOTO        L__OUT_GPA_BIT71
L__OUT_GPA_BIT72:
	MOVF        R0, 0 
	MOVWF       R2 
	BTFSS       FARG_OUT_GPA_BIT_STATE_BIT+0, 0 
	GOTO        L__OUT_GPA_BIT9
	MOVF        R3, 0 
	IORWF       R2, 0 
	MOVWF       R1 
	GOTO        L__OUT_GPA_BIT10
L__OUT_GPA_BIT9:
	COMF        R3, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ANDWF       R2, 0 
	MOVWF       R1 
L__OUT_GPA_BIT10:
;lcd_i2c_mcp23017.mbas,252 :: 		OUT_GPA_BYTE(DeviceAddress,DATA_GPA_BYTE)
	MOVF        FARG_OUT_GPA_BIT_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPA_BYTE_DeviceAddress+0 
	MOVF        R1, 0 
	MOVWF       FARG_OUT_GPA_BYTE_DATA_A+0 
	CALL        _OUT_GPA_BYTE+0, 0
	RETURN      0
; end of _OUT_GPA_BIT

_OUT_GPB_BIT:

;lcd_i2c_mcp23017.mbas,258 :: 		DIM DATA_GPB_BYTE AS BYTE
;lcd_i2c_mcp23017.mbas,259 :: 		DATA_GPB_BYTE = IN_GPB_BYTE(DeviceAddress)
	MOVF        FARG_OUT_GPB_BIT_DeviceAddress+0, 0 
	MOVWF       FARG_IN_GPB_BYTE_DeviceAddress+0 
	CALL        _IN_GPB_BYTE+0, 0
;lcd_i2c_mcp23017.mbas,260 :: 		DATA_GPB_BYTE.BIT_B = STATE_BIT
	MOVF        FARG_OUT_GPB_BIT_BIT_B+0, 0 
	MOVWF       R1 
	MOVLW       1
	MOVWF       R3 
	MOVF        R1, 0 
L__OUT_GPB_BIT73:
	BZ          L__OUT_GPB_BIT74
	RLCF        R3, 1 
	BCF         R3, 0 
	ADDLW       255
	GOTO        L__OUT_GPB_BIT73
L__OUT_GPB_BIT74:
	MOVF        R0, 0 
	MOVWF       R2 
	BTFSS       FARG_OUT_GPB_BIT_STATE_BIT+0, 0 
	GOTO        L__OUT_GPB_BIT12
	MOVF        R3, 0 
	IORWF       R2, 0 
	MOVWF       R1 
	GOTO        L__OUT_GPB_BIT13
L__OUT_GPB_BIT12:
	COMF        R3, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	ANDWF       R2, 0 
	MOVWF       R1 
L__OUT_GPB_BIT13:
;lcd_i2c_mcp23017.mbas,261 :: 		OUT_GPB_BYTE(DeviceAddress,DATA_GPB_BYTE)
	MOVF        FARG_OUT_GPB_BIT_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BYTE_DeviceAddress+0 
	MOVF        R1, 0 
	MOVWF       FARG_OUT_GPB_BYTE_DATA_B+0 
	CALL        _OUT_GPB_BYTE+0, 0
	RETURN      0
; end of _OUT_GPB_BIT

_IN_GPA_BIT:

;lcd_i2c_mcp23017.mbas,267 :: 		DIM DATA_GPA_BYTE AS BYTE
;lcd_i2c_mcp23017.mbas,268 :: 		DATA_GPA_BYTE = IN_GPA_BYTE(DeviceAddress)
	MOVF        FARG_IN_GPA_BIT_DeviceAddress+0, 0 
	MOVWF       FARG_IN_GPA_BYTE_DeviceAddress+0 
	CALL        _IN_GPA_BYTE+0, 0
;lcd_i2c_mcp23017.mbas,269 :: 		RESULT = DATA_GPA_BYTE.BIT_A
	MOVF        FARG_IN_GPA_BIT_BIT_A+0, 0 
	MOVWF       R2 
	MOVLW       1
	MOVWF       R1 
	MOVF        R2, 0 
L__IN_GPA_BIT75:
	BZ          L__IN_GPA_BIT76
	RLCF        R1, 1 
	BCF         R1, 0 
	ADDLW       255
	GOTO        L__IN_GPA_BIT75
L__IN_GPA_BIT76:
	MOVF        R0, 0 
	ANDWF       R1, 1 
	CLRF        R0 
	MOVF        R1, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__IN_GPA_BIT15
	MOVLW       1
	MOVWF       R0 
L__IN_GPA_BIT15:
	MOVF        R0, 0 
	MOVWF       IN_GPA_BIT_local_result+0 
	MOVF        IN_GPA_BIT_local_result+0, 0 
	MOVWF       R0 
	RETURN      0
; end of _IN_GPA_BIT

_IN_GPB_BIT:

;lcd_i2c_mcp23017.mbas,275 :: 		DIM DATA_GPB_BYTE AS BYTE
;lcd_i2c_mcp23017.mbas,276 :: 		DATA_GPB_BYTE = IN_GPB_BYTE(DeviceAddress)
	MOVF        FARG_IN_GPB_BIT_DeviceAddress+0, 0 
	MOVWF       FARG_IN_GPB_BYTE_DeviceAddress+0 
	CALL        _IN_GPB_BYTE+0, 0
;lcd_i2c_mcp23017.mbas,277 :: 		RESULT = DATA_GPB_BYTE.BIT_B
	MOVF        FARG_IN_GPB_BIT_BIT_B+0, 0 
	MOVWF       R2 
	MOVLW       1
	MOVWF       R1 
	MOVF        R2, 0 
L__IN_GPB_BIT77:
	BZ          L__IN_GPB_BIT78
	RLCF        R1, 1 
	BCF         R1, 0 
	ADDLW       255
	GOTO        L__IN_GPB_BIT77
L__IN_GPB_BIT78:
	MOVF        R0, 0 
	ANDWF       R1, 1 
	CLRF        R0 
	MOVF        R1, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__IN_GPB_BIT17
	MOVLW       1
	MOVWF       R0 
L__IN_GPB_BIT17:
	MOVF        R0, 0 
	MOVWF       IN_GPB_BIT_local_result+0 
	MOVF        IN_GPB_BIT_local_result+0, 0 
	MOVWF       R0 
	RETURN      0
; end of _IN_GPB_BIT

_LCD_poslji_nib:

;lcd_i2c_mcp23017.mbas,282 :: 		SUB PROCEDURE  LCD_poslji_nib(DIM DeviceAddress, RS, NIB AS BYTE)
;lcd_i2c_mcp23017.mbas,283 :: 		OUT_GPB_BIT(DeviceAddress, LCD_RS, RS)
	MOVF        FARG_LCD_poslji_nib_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       2
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVF        FARG_LCD_poslji_nib_RS+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,284 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D4, NIB.0)
	MOVF        FARG_LCD_poslji_nib_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       4
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_nib_NIB+0, 0 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,285 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D5, NIB.1)
	MOVF        FARG_LCD_poslji_nib_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       5
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_nib_NIB+0, 1 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,286 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D6, NIB.2)
	MOVF        FARG_LCD_poslji_nib_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       6
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_nib_NIB+0, 2 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,287 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D7, NIB.3)
	MOVF        FARG_LCD_poslji_nib_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       7
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_nib_NIB+0, 3 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,288 :: 		OUT_GPB_BIT(DeviceAddress, LCD_E, 1)
	MOVF        FARG_LCD_poslji_nib_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       3
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,289 :: 		delay_us(200)
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       75
	MOVWF       R13, 0
L__LCD_poslji_nib19:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_poslji_nib19
	DECFSZ      R12, 1, 0
	BRA         L__LCD_poslji_nib19
;lcd_i2c_mcp23017.mbas,290 :: 		OUT_GPB_BIT(DeviceAddress, LCD_E, 0)
	MOVF        FARG_LCD_poslji_nib_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       3
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	CLRF        FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,291 :: 		delay_us(200)
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       75
	MOVWF       R13, 0
L__LCD_poslji_nib20:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_poslji_nib20
	DECFSZ      R12, 1, 0
	BRA         L__LCD_poslji_nib20
;lcd_i2c_mcp23017.mbas,292 :: 		OUT_GPB_BIT(DeviceAddress, LCD_E, 1)
	MOVF        FARG_LCD_poslji_nib_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       3
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
	RETURN      0
; end of _LCD_poslji_nib

_LCD_poslji:

;lcd_i2c_mcp23017.mbas,297 :: 		SUB PROCEDURE  LCD_poslji(DIM DeviceAddress, RS, NIB AS BYTE)
;lcd_i2c_mcp23017.mbas,298 :: 		OUT_GPB_BIT(DeviceAddress, LCD_RS, RS)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       2
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVF        FARG_LCD_poslji_RS+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,299 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D4, NIB.4)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       4
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_NIB+0, 4 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,300 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D5, NIB.5)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       5
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_NIB+0, 5 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,301 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D6, NIB.6)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       6
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_NIB+0, 6 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,302 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D7, NIB.7)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       7
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_NIB+0, 7 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,303 :: 		delay_us(80)
	MOVLW       133
	MOVWF       R13, 0
L__LCD_poslji22:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_poslji22
;lcd_i2c_mcp23017.mbas,304 :: 		OUT_GPB_BIT(DeviceAddress, LCD_E, 0)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       3
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	CLRF        FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,305 :: 		delay_us(20)
	MOVLW       33
	MOVWF       R13, 0
L__LCD_poslji23:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_poslji23
;lcd_i2c_mcp23017.mbas,306 :: 		OUT_GPB_BIT(DeviceAddress, LCD_E, 1)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       3
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,307 :: 		OUT_GPB_BIT(DeviceAddress, LCD_RS, RS)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       2
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVF        FARG_LCD_poslji_RS+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,308 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D4, NIB.0)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       4
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_NIB+0, 0 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,309 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D5, NIB.1)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       5
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_NIB+0, 1 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,310 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D6, NIB.2)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       6
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_NIB+0, 2 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,311 :: 		OUT_GPB_BIT(DeviceAddress, LCD_D7, NIB.3)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       7
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       0
	BTFSC       FARG_LCD_poslji_NIB+0, 3 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,312 :: 		delay_us(80)
	MOVLW       133
	MOVWF       R13, 0
L__LCD_poslji24:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_poslji24
;lcd_i2c_mcp23017.mbas,313 :: 		OUT_GPB_BIT(DeviceAddress, LCD_E, 0)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       3
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	CLRF        FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
;lcd_i2c_mcp23017.mbas,314 :: 		delay_us(80)
	MOVLW       133
	MOVWF       R13, 0
L__LCD_poslji25:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_poslji25
;lcd_i2c_mcp23017.mbas,315 :: 		OUT_GPB_BIT(DeviceAddress, LCD_E, 1)
	MOVF        FARG_LCD_poslji_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       3
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	MOVLW       1
	MOVWF       FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
	RETURN      0
; end of _LCD_poslji

_LCD_I2C_INIT:

;lcd_i2c_mcp23017.mbas,320 :: 		SUB PROCEDURE  LCD_I2C_INIT(DIM DeviceAddress AS BYTE)     ' Initializes LCD I2C at port with default pin settings.
;lcd_i2c_mcp23017.mbas,321 :: 		OUT_GPB_BYTE(DeviceAddress, 0x00)                    ' Initialize GP_portB is low
	MOVF        FARG_LCD_I2C_INIT_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BYTE_DeviceAddress+0 
	CLRF        FARG_OUT_GPB_BYTE_DATA_B+0 
	CALL        _OUT_GPB_BYTE+0, 0
;lcd_i2c_mcp23017.mbas,322 :: 		OUT_GPB_BIT(DeviceAddress, LCD_E, 0)       delay_ms(200)
	MOVF        FARG_LCD_I2C_INIT_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPB_BIT_DeviceAddress+0 
	MOVLW       3
	MOVWF       FARG_OUT_GPB_BIT_BIT_B+0 
	CLRF        FARG_OUT_GPB_BIT_STATE_BIT+0 
	CALL        _OUT_GPB_BIT+0, 0
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__LCD_I2C_INIT27:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_INIT27
	DECFSZ      R12, 1, 0
	BRA         L__LCD_I2C_INIT27
	DECFSZ      R11, 1, 0
	BRA         L__LCD_I2C_INIT27
	NOP
	NOP
;lcd_i2c_mcp23017.mbas,323 :: 		LCD_poslji_nib(DeviceAddress, 0, 0x03) delay_ms(200) ' 3 puta init
	MOVF        FARG_LCD_I2C_INIT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_nib_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_nib_RS+0 
	MOVLW       3
	MOVWF       FARG_LCD_poslji_nib_NIB+0 
	CALL        _LCD_poslji_nib+0, 0
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__LCD_I2C_INIT28:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_INIT28
	DECFSZ      R12, 1, 0
	BRA         L__LCD_I2C_INIT28
	DECFSZ      R11, 1, 0
	BRA         L__LCD_I2C_INIT28
	NOP
	NOP
;lcd_i2c_mcp23017.mbas,324 :: 		LCD_poslji_nib(DeviceAddress, 0, 0x03) delay_ms(80)
	MOVF        FARG_LCD_I2C_INIT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_nib_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_nib_RS+0 
	MOVLW       3
	MOVWF       FARG_LCD_poslji_nib_NIB+0 
	CALL        _LCD_poslji_nib+0, 0
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       8
	MOVWF       R12, 0
	MOVLW       119
	MOVWF       R13, 0
L__LCD_I2C_INIT29:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_INIT29
	DECFSZ      R12, 1, 0
	BRA         L__LCD_I2C_INIT29
	DECFSZ      R11, 1, 0
	BRA         L__LCD_I2C_INIT29
;lcd_i2c_mcp23017.mbas,325 :: 		LCD_poslji_nib(DeviceAddress, 0, 0x03) delay_ms(80)
	MOVF        FARG_LCD_I2C_INIT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_nib_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_nib_RS+0 
	MOVLW       3
	MOVWF       FARG_LCD_poslji_nib_NIB+0 
	CALL        _LCD_poslji_nib+0, 0
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       8
	MOVWF       R12, 0
	MOVLW       119
	MOVWF       R13, 0
L__LCD_I2C_INIT30:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_INIT30
	DECFSZ      R12, 1, 0
	BRA         L__LCD_I2C_INIT30
	DECFSZ      R11, 1, 0
	BRA         L__LCD_I2C_INIT30
;lcd_i2c_mcp23017.mbas,326 :: 		LCD_poslji_nib(DeviceAddress, 0, 0x02) delay_ms(12)  ' namesti 4 bita prenos podataka
	MOVF        FARG_LCD_I2C_INIT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_nib_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_nib_RS+0 
	MOVLW       2
	MOVWF       FARG_LCD_poslji_nib_NIB+0 
	CALL        _LCD_poslji_nib+0, 0
	MOVLW       78
	MOVWF       R12, 0
	MOVLW       235
	MOVWF       R13, 0
L__LCD_I2C_INIT31:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_INIT31
	DECFSZ      R12, 1, 0
	BRA         L__LCD_I2C_INIT31
;lcd_i2c_mcp23017.mbas,327 :: 		LCD_poslji(DeviceAddress, 0, 0x01)     delay_ms(12)  ' obrisi displaj
	MOVF        FARG_LCD_I2C_INIT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_RS+0 
	MOVLW       1
	MOVWF       FARG_LCD_poslji_NIB+0 
	CALL        _LCD_poslji+0, 0
	MOVLW       78
	MOVWF       R12, 0
	MOVLW       235
	MOVWF       R13, 0
L__LCD_I2C_INIT32:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_INIT32
	DECFSZ      R12, 1, 0
	BRA         L__LCD_I2C_INIT32
;lcd_i2c_mcp23017.mbas,328 :: 		LCD_poslji(DeviceAddress, 0, 0x28)     delay_ms(4)   ' nastavi  znakove sa 5x7 font
	MOVF        FARG_LCD_I2C_INIT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_RS+0 
	MOVLW       40
	MOVWF       FARG_LCD_poslji_NIB+0 
	CALL        _LCD_poslji+0, 0
	MOVLW       26
	MOVWF       R12, 0
	MOVLW       248
	MOVWF       R13, 0
L__LCD_I2C_INIT33:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_INIT33
	DECFSZ      R12, 1, 0
	BRA         L__LCD_I2C_INIT33
	NOP
;lcd_i2c_mcp23017.mbas,329 :: 		LCD_poslji(DeviceAddress, 0, 0x0C)     delay_ms(4)   ' ukljuci displj, izkljuci kursor i blinkanje
	MOVF        FARG_LCD_I2C_INIT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_RS+0 
	MOVLW       12
	MOVWF       FARG_LCD_poslji_NIB+0 
	CALL        _LCD_poslji+0, 0
	MOVLW       26
	MOVWF       R12, 0
	MOVLW       248
	MOVWF       R13, 0
L__LCD_I2C_INIT34:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_INIT34
	DECFSZ      R12, 1, 0
	BRA         L__LCD_I2C_INIT34
	NOP
;lcd_i2c_mcp23017.mbas,330 :: 		LCD_poslji(DeviceAddress, 0, 0X06)     delay_ms(4)   ' namesti smer pomeranja kursora i shift displaj
	MOVF        FARG_LCD_I2C_INIT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_RS+0 
	MOVLW       6
	MOVWF       FARG_LCD_poslji_NIB+0 
	CALL        _LCD_poslji+0, 0
	MOVLW       26
	MOVWF       R12, 0
	MOVLW       248
	MOVWF       R13, 0
L__LCD_I2C_INIT35:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_INIT35
	DECFSZ      R12, 1, 0
	BRA         L__LCD_I2C_INIT35
	NOP
;lcd_i2c_mcp23017.mbas,331 :: 		delay_ms(100)
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L__LCD_I2C_INIT36:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_INIT36
	DECFSZ      R12, 1, 0
	BRA         L__LCD_I2C_INIT36
	DECFSZ      R11, 1, 0
	BRA         L__LCD_I2C_INIT36
	NOP
	NOP
	RETURN      0
; end of _LCD_I2C_INIT

_LCD_RED_POZ_OUT:

;lcd_i2c_mcp23017.mbas,336 :: 		SUB PROCEDURE LCD_RED_POZ_OUT(DIM DeviceAddress, KO,VR AS BYTE)
;lcd_i2c_mcp23017.mbas,337 :: 		if (KO = 1) THEN LCD_poslji(DeviceAddress, 0, 128 + VR) ELSE END IF
	MOVF        FARG_LCD_RED_POZ_OUT_KO+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__LCD_RED_POZ_OUT39
	MOVF        FARG_LCD_RED_POZ_OUT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_RS+0 
	MOVF        FARG_LCD_RED_POZ_OUT_VR+0, 0 
	ADDLW       128
	MOVWF       FARG_LCD_poslji_NIB+0 
	CALL        _LCD_poslji+0, 0
	GOTO        L__LCD_RED_POZ_OUT40
L__LCD_RED_POZ_OUT39:
L__LCD_RED_POZ_OUT40:
;lcd_i2c_mcp23017.mbas,338 :: 		if (KO = 2) THEN LCD_poslji(DeviceAddress, 0, 192 + VR) ELSE END IF
	MOVF        FARG_LCD_RED_POZ_OUT_KO+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__LCD_RED_POZ_OUT42
	MOVF        FARG_LCD_RED_POZ_OUT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_RS+0 
	MOVF        FARG_LCD_RED_POZ_OUT_VR+0, 0 
	ADDLW       192
	MOVWF       FARG_LCD_poslji_NIB+0 
	CALL        _LCD_poslji+0, 0
	GOTO        L__LCD_RED_POZ_OUT43
L__LCD_RED_POZ_OUT42:
L__LCD_RED_POZ_OUT43:
;lcd_i2c_mcp23017.mbas,339 :: 		if (KO = 3) THEN LCD_poslji(DeviceAddress, 0, 148 + VR) ELSE END IF
	MOVF        FARG_LCD_RED_POZ_OUT_KO+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__LCD_RED_POZ_OUT45
	MOVF        FARG_LCD_RED_POZ_OUT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_RS+0 
	MOVF        FARG_LCD_RED_POZ_OUT_VR+0, 0 
	ADDLW       148
	MOVWF       FARG_LCD_poslji_NIB+0 
	CALL        _LCD_poslji+0, 0
	GOTO        L__LCD_RED_POZ_OUT46
L__LCD_RED_POZ_OUT45:
L__LCD_RED_POZ_OUT46:
;lcd_i2c_mcp23017.mbas,340 :: 		if (KO = 4) THEN LCD_poslji(DeviceAddress, 0, 212 + VR) ELSE END IF
	MOVF        FARG_LCD_RED_POZ_OUT_KO+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__LCD_RED_POZ_OUT48
	MOVF        FARG_LCD_RED_POZ_OUT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_RS+0 
	MOVF        FARG_LCD_RED_POZ_OUT_VR+0, 0 
	ADDLW       212
	MOVWF       FARG_LCD_poslji_NIB+0 
	CALL        _LCD_poslji+0, 0
	GOTO        L__LCD_RED_POZ_OUT49
L__LCD_RED_POZ_OUT48:
L__LCD_RED_POZ_OUT49:
;lcd_i2c_mcp23017.mbas,341 :: 		delay_us(100)
	MOVLW       166
	MOVWF       R13, 0
L__LCD_RED_POZ_OUT50:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_RED_POZ_OUT50
	NOP
	RETURN      0
; end of _LCD_RED_POZ_OUT

_LCD_I2C_CMD:

;lcd_i2c_mcp23017.mbas,346 :: 		SUB PROCEDURE  LCD_I2C_CMD(DIM DeviceAddress, CMD_X AS BYTE)
;lcd_i2c_mcp23017.mbas,347 :: 		LCD_poslji(DeviceAddress, 0, CMD_X)
	MOVF        FARG_LCD_I2C_CMD_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_DeviceAddress+0 
	CLRF        FARG_LCD_poslji_RS+0 
	MOVF        FARG_LCD_I2C_CMD_CMD_X+0, 0 
	MOVWF       FARG_LCD_poslji_NIB+0 
	CALL        _LCD_poslji+0, 0
;lcd_i2c_mcp23017.mbas,348 :: 		delay_ms(100)
	MOVLW       3
	MOVWF       R11, 0
	MOVLW       138
	MOVWF       R12, 0
	MOVLW       85
	MOVWF       R13, 0
L__LCD_I2C_CMD52:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_CMD52
	DECFSZ      R12, 1, 0
	BRA         L__LCD_I2C_CMD52
	DECFSZ      R11, 1, 0
	BRA         L__LCD_I2C_CMD52
	NOP
	NOP
	RETURN      0
; end of _LCD_I2C_CMD

_LCD_I2C_CHR:

;lcd_i2c_mcp23017.mbas,353 :: 		SUB PROCEDURE  LCD_I2C_CHR(DIM DeviceAddress, KO,VR AS BYTE,DIM ZNAK AS BYTE)
;lcd_i2c_mcp23017.mbas,354 :: 		LCD_RED_POZ_OUT(DeviceAddress, KO, VR-1)
	MOVF        FARG_LCD_I2C_CHR_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_RED_POZ_OUT_DeviceAddress+0 
	MOVF        FARG_LCD_I2C_CHR_KO+0, 0 
	MOVWF       FARG_LCD_RED_POZ_OUT_KO+0 
	DECF        FARG_LCD_I2C_CHR_VR+0, 0 
	MOVWF       FARG_LCD_RED_POZ_OUT_VR+0 
	CALL        _LCD_RED_POZ_OUT+0, 0
;lcd_i2c_mcp23017.mbas,355 :: 		LCD_poslji (DeviceAddress, 1, ZNAK)
	MOVF        FARG_LCD_I2C_CHR_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_DeviceAddress+0 
	MOVLW       1
	MOVWF       FARG_LCD_poslji_RS+0 
	MOVF        FARG_LCD_I2C_CHR_ZNAK+0, 0 
	MOVWF       FARG_LCD_poslji_NIB+0 
	CALL        _LCD_poslji+0, 0
;lcd_i2c_mcp23017.mbas,356 :: 		delay_us(100)
	MOVLW       166
	MOVWF       R13, 0
L__LCD_I2C_CHR54:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_CHR54
	NOP
	RETURN      0
; end of _LCD_I2C_CHR

lcd_i2c_mcp23017_LCD_I2C_CHR_CP:

;lcd_i2c_mcp23017.mbas,361 :: 		SUB PROCEDURE  LCD_I2C_CHR_CP(DIM DeviceAddress, ZNAK AS BYTE)
;lcd_i2c_mcp23017.mbas,362 :: 		LCD_poslji (DeviceAddress, 1, ZNAK)
	MOVF        FARG_LCD_I2C_CHR_CP_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_poslji_DeviceAddress+0 
	MOVLW       1
	MOVWF       FARG_LCD_poslji_RS+0 
	MOVF        FARG_LCD_I2C_CHR_CP_ZNAK+0, 0 
	MOVWF       FARG_LCD_poslji_NIB+0 
	CALL        _LCD_poslji+0, 0
;lcd_i2c_mcp23017.mbas,363 :: 		delay_us(100)
	MOVLW       166
	MOVWF       R13, 0
L_lcd_i2c_mcp23017_LCD_I2C_CHR_CP56:
	DECFSZ      R13, 1, 0
	BRA         L_lcd_i2c_mcp23017_LCD_I2C_CHR_CP56
	NOP
	RETURN      0
; end of lcd_i2c_mcp23017_LCD_I2C_CHR_CP

_LCD_I2C_OUT:

;lcd_i2c_mcp23017.mbas,370 :: 		DIM INDEX AS BYTE
;lcd_i2c_mcp23017.mbas,371 :: 		INDEX = Strlen(TEKST)- 1
	MOVF        FARG_LCD_I2C_OUT_TEKST+0, 0 
	MOVWF       FARG_strlen_s+0 
	MOVF        FARG_LCD_I2C_OUT_TEKST+1, 0 
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	DECF        R0, 0 
	MOVWF       LCD_I2C_OUT_INDEX+0 
;lcd_i2c_mcp23017.mbas,372 :: 		FOR LOOP_INDEX = 0 TO INDEX
	CLRF        LCD_I2C_OUT_LOOP_INDEX+0 
L__LCD_I2C_OUT58:
	MOVF        LCD_I2C_OUT_LOOP_INDEX+0, 0 
	SUBWF       LCD_I2C_OUT_INDEX+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__LCD_I2C_OUT62
;lcd_i2c_mcp23017.mbas,373 :: 		LCD_I2C_CHR(DeviceAddress, KO, VR + LOOP_INDEX , TEKST[LOOP_INDEX])
	MOVF        FARG_LCD_I2C_OUT_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_I2C_CHR_DeviceAddress+0 
	MOVF        FARG_LCD_I2C_OUT_KO+0, 0 
	MOVWF       FARG_LCD_I2C_CHR_KO+0 
	MOVF        LCD_I2C_OUT_LOOP_INDEX+0, 0 
	ADDWF       FARG_LCD_I2C_OUT_VR+0, 0 
	MOVWF       FARG_LCD_I2C_CHR_VR+0 
	MOVF        LCD_I2C_OUT_LOOP_INDEX+0, 0 
	ADDWF       FARG_LCD_I2C_OUT_TEKST+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_LCD_I2C_OUT_TEKST+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_LCD_I2C_CHR_ZNAK+0 
	CALL        _LCD_I2C_CHR+0, 0
;lcd_i2c_mcp23017.mbas,374 :: 		NEXT LOOP_INDEX
	MOVF        LCD_I2C_OUT_LOOP_INDEX+0, 0 
	XORWF       LCD_I2C_OUT_INDEX+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__LCD_I2C_OUT62
	INCF        LCD_I2C_OUT_LOOP_INDEX+0, 1 
	GOTO        L__LCD_I2C_OUT58
L__LCD_I2C_OUT62:
	RETURN      0
; end of _LCD_I2C_OUT

_LCD_I2C_OUT_CP:

;lcd_i2c_mcp23017.mbas,381 :: 		DIM INDEX AS BYTE
;lcd_i2c_mcp23017.mbas,382 :: 		INDEX = Strlen(ZNAK) - 1
	MOVF        FARG_LCD_I2C_OUT_CP_ZNAK+0, 0 
	MOVWF       FARG_strlen_s+0 
	MOVF        FARG_LCD_I2C_OUT_CP_ZNAK+1, 0 
	MOVWF       FARG_strlen_s+1 
	CALL        _strlen+0, 0
	DECF        R0, 0 
	MOVWF       LCD_I2C_OUT_CP_INDEX+0 
;lcd_i2c_mcp23017.mbas,383 :: 		FOR LOOP_INDEX = 0 TO INDEX
	CLRF        LCD_I2C_OUT_CP_LOOP_INDEX+0 
L__LCD_I2C_OUT_CP64:
	MOVF        LCD_I2C_OUT_CP_LOOP_INDEX+0, 0 
	SUBWF       LCD_I2C_OUT_CP_INDEX+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L__LCD_I2C_OUT_CP68
;lcd_i2c_mcp23017.mbas,384 :: 		LCD_I2C_CHR_CP(DeviceAddress, ZNAK[LOOP_INDEX])
	MOVF        FARG_LCD_I2C_OUT_CP_DeviceAddress+0, 0 
	MOVWF       FARG_LCD_I2C_CHR_CP_DeviceAddress+0 
	MOVF        LCD_I2C_OUT_CP_LOOP_INDEX+0, 0 
	ADDWF       FARG_LCD_I2C_OUT_CP_ZNAK+0, 0 
	MOVWF       FSR0 
	MOVLW       0
	ADDWFC      FARG_LCD_I2C_OUT_CP_ZNAK+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_LCD_I2C_CHR_CP_ZNAK+0 
	CALL        lcd_i2c_mcp23017_LCD_I2C_CHR_CP+0, 0
;lcd_i2c_mcp23017.mbas,385 :: 		NEXT LOOP_INDEX
	MOVF        LCD_I2C_OUT_CP_LOOP_INDEX+0, 0 
	XORWF       LCD_I2C_OUT_CP_INDEX+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__LCD_I2C_OUT_CP68
	INCF        LCD_I2C_OUT_CP_LOOP_INDEX+0, 1 
	GOTO        L__LCD_I2C_OUT_CP64
L__LCD_I2C_OUT_CP68:
;lcd_i2c_mcp23017.mbas,386 :: 		delay_us(100)
	MOVLW       166
	MOVWF       R13, 0
L__LCD_I2C_OUT_CP69:
	DECFSZ      R13, 1, 0
	BRA         L__LCD_I2C_OUT_CP69
	NOP
	RETURN      0
; end of _LCD_I2C_OUT_CP

_LCD_LED:

;lcd_i2c_mcp23017.mbas,391 :: 		SUB PROCEDURE LCD_LED(DIM DeviceAddress, STATE AS BYTE)
;lcd_i2c_mcp23017.mbas,392 :: 		OUT_GPA_BIT(DeviceAddress, LED_LCD_PIN, STATE)
	MOVF        FARG_LCD_LED_DeviceAddress+0, 0 
	MOVWF       FARG_OUT_GPA_BIT_DeviceAddress+0 
	MOVLW       1
	MOVWF       FARG_OUT_GPA_BIT_BIT_A+0 
	MOVF        FARG_LCD_LED_STATE+0, 0 
	MOVWF       FARG_OUT_GPA_BIT_STATE_BIT+0 
	CALL        _OUT_GPA_BIT+0, 0
	RETURN      0
; end of _LCD_LED
